Bug 142722 - gnome-cd cannot play last track in track mode
gnome-cd cannot play last track in track mode
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-media (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bastien Nocera
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-13 07:16 EST by Milan Slanař
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.18.0-3.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-19 09:31:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Slanař 2004-12-13 07:16:22 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040922 Galeon/1.3.18

Description of problem:
gnome-cd plays audio o.k. in default "disc" mode. But if you switch to
"track" mode you cannot select last audio track. If last track is
selected and playing, then switch to track mode and "repeat track"
mode. But at the end of the track last track doesn't repeat. gnome-cd
just hangs.

Version-Release number of selected component (if applicable):
gnome-media-2.8.0-3.FC3.1

How reproducible:
Always

Steps to Reproduce:
1. play last track of audio cd
2. switch to "track" mode and "repeat track" mode

or
1. play audio cd
2. switch to "track" mode
3. select last track
    

Actual Results:  last track doesn't repeat, gnome-cd hangs

or
last track cannot be selected

Expected Results:  last track should play again and again

or
last track should play


Additional info:

same behavior in FC2 with gnome-media 2.6.0

impossible to change position with slider within last track

I have tested several original audio cd's and two PCs with different
cd-drives.
Comment 1 Matthew Miller 2006-07-10 17:41:23 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 Milan Slanař 2006-07-12 08:40:57 EDT
The problem hasn't been resolved in the current FC5 (gnome-media-2.14.2-1). Last
track still cann't be repeated in loop. First track is repeated instead.

There are  differences to my original report: last track is selectable in track
mode; it is possible to change position with slider within last track; gnome-cd
doesn't hang when it should repeat last track but repeats first track.

Comment 3 Matthew Miller 2006-07-12 09:01:45 EDT
Thanks.
Comment 4 Bastien Nocera 2007-04-19 09:31:42 EDT
I won't be fixing this for FC-5, but the upstream bug is at:
http://bugzilla.gnome.org/show_bug.cgi?id=431341

The patch is in rawhide now (gnome-media-2.18.0-3.fc7)

Note You need to log in before you can comment on or make changes to this bug.